Page MenuHomePhabricator

AsmParser: test .double NaN
ClosedPublic

Authored by jfb on Dec 10 2018, 3:52 PM.

Details

Summary

It looks like this support was added to match GNU AS, but only tests .float and not .double. I asked RedHat folks to confirm that 0x7fffffffffffffff was indeed the right value.

Diff Detail

Repository
rL LLVM

Event Timeline

jfb created this revision.Dec 10 2018, 3:52 PM

Seems reasonable to me. I think the right approach for validating that this is the right value is to just check some assembler outputs; I can't imagine what other sort of spec would be acceptable.

jfb added a comment.Dec 14 2018, 1:29 PM

Seems reasonable to me. I think the right approach for validating that this is the right value is to just check some assembler outputs; I can't imagine what other sort of spec would be acceptable.

Right, that's what I asked the RedHat folks to confirm, and they did.

scanon accepted this revision.Dec 17 2018, 10:40 AM

Shrug. OK.

This revision is now accepted and ready to land.Dec 17 2018, 10:40 AM

Can you also add a check for .double infinity? It looks like that's likely missing too.

jfb updated this revision to Diff 178493.Dec 17 2018, 10:56 AM
  • Also test infinity
This revision was automatically updated to reflect the committed changes.